{-# LANGUAGE FunctionalDependencies #-}
module Types.FunctionIO
  ( IsFunctionIO(..)
  ) where

import Types.Value (Valuable)

class (Show f, Valuable a, Valuable b) => IsFunctionIO f a b | f -> a b where
  evalFunctionIO :: f -> a -> IO b
  functionIOTouchesFilesystem :: f -> Bool
